![alt text](http://html5.by/wp-content/uploads/2015/05/nw1.png "NW.js")

# NW.js bootstrap

## Description
This is a very minimalistic NW.js app bootstrap. Pre-configured for:

* NW.js
* TypeScript
* Angular 2

## Requirements
1. [git](https://git-scm.com/)
2. [node.js](https://nodejs.org/en/)
3. [Yarn](https://yarnpkg.com/en/)

## Developer info
##### Kick start developer environment:
```
git checkout git+ssh://git@bitbucket.org/masterjguscius/nwjs-bootstrap.git
yarn install
yarn start
```
##### Version bumping (without publish):
```
yarn run bump:patch
yarn run bump:minor
yarn run bump:major
```
##### Building & packaging
```
yarn build
```
This will build & package your app for these systems: **win32**, **win64**, **linux32**, **linux64**, **macos64**. You will find your builds in *./build* directory.

## Known issues
1. Bump cannot automatically publish new package version
-- Known issue with Yarn: [Issue-2445](https://github.com/yarnpkg/yarn/issues/2445)

## Warning
Only when this project reaches version **1.0.0** it will provide needed functionality. Until then this is work in progress.